import React from 'react'
import Image from 'next/image'
import { makeStyles } from '@material-ui/core/styles'
import Router from 'next/router'

const useStyles = makeStyles((theme) => ({
    container: {
        margin: '20px 0', // Adjust the margin to add space above the image
    },
    fullWidthImage: {
        borderRadius: '20px',
        width: '100%',
        maxWidth: 1200, // Set the maximum width to 1200px
        maxHeight: '100%',
        cursor: 'pointer', // Add cursor pointer for better UX
    },
}))

const ResponsiveImage = ({ src, alt, height, id, name }) => {
    const classes = useStyles()

    const handleClick = () => {
        window.scroll({
            top: 0,
            left: 0,
            behavior: 'smooth',
        })

        Router.push(
            {
                pathname: `/category/${id}`,
                query: { name: name },
            },
            undefined,
            { shallow: true }
        )
    }

    return (
        <div className={classes.container}>
            <a onClick={handleClick}>
                <Image
                    placeholder={'/static/placeholder.png'}
                    src={src}
                    alt={alt}
                    className={classes.fullWidthImage}
                    layout="responsive"
                    width={1920}
                    height={height}
                />
            </a>
        </div>
    )
}

export default ResponsiveImage
